<h1 *ngIf="!name">
  Hallo
</h1>
<h1 *ngIf="name">
  Hallo, {{name}}
</h1>

<button class="btn btn-default" (click)="login()">
  Login
</button>
<button class="btn btn-default" (click)="logoff()">
  Logout
</button>
<button class="btn btn-default" (click)="claims()">
  Claims
</button>
<button class="btn btn-default" (click)="idtoken()">
  IDToken
</button>

<div>
  Username/Passwort zum Testen: max/geheim
</div>